com.ihr.xbrl.om.xdt

## Class XDTDomainMemberUse

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTDomainMemberUse

-     public class XDTDomainMemberUse
      extends java.lang.Object

  The Class XDTDomainMemberUse.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTDomainMemberUse(XDTProcessor processor, javax.xml.namespace.QName parentQName, XDTDomainMember mem, XDTDimensionUse use, DTSBase base, java.util.Hashtable<javax.xml.namespace.QName,java.lang.Boolean> domain, DefinitionLinkbase tempDefLb)` Instantiates a new XDT domain member use.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<XDTDomainMemberUse>` | `getUsesOfDomainMembers()` Access to the dimension domain using the object model of the XDT representation.
    `XDTDomainMember` | `getXDTDomainMember()` Gets the XDT domain member.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTDomainMemberUse

          public XDTDomainMemberUse(XDTProcessor processor,
                            javax.xml.namespace.QName parentQName,
                            XDTDomainMember mem,
                            XDTDimensionUse use,
                            DTSBase base,
                            java.util.Hashtable<javax.xml.namespace.QName,java.lang.Boolean> domain,
                            DefinitionLinkbase tempDefLb)

      Instantiates a new XDT domain member use.
      Parameters:
        `processor` - XDTProcessor
        `parentQName` - QName
        `mem` - XDTDomainMember
        `use` - XDTDimensionUse
        `base` - DTSBase
        `domain` - Hashtable
        `tempDefLb` - the temp def lb

  - ### Method Detail

    - #### getUsesOfDomainMembers

          public java.util.Collection<XDTDomainMemberUse> getUsesOfDomainMembers()

      Access to the dimension domain using the object model of the XDT representation. This is the uses of the objects independent of the syntax in the taxonomy.

      The returned collection is ordered according to the order attribute of the relationships in the taxonomy

      Returns:
        Collection of XDTDomainMemberUse objects that represents the use of Domain Members of a dimension

    - #### getXDTDomainMember

          public XDTDomainMember getXDTDomainMember()

      Gets the XDT domain member.
      Returns:
        the mem